complexType "ClearingStatusItem"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 7 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (tradeIdentifier+ | tradeReferenceInformation? | trade)?, clearingStatusValue?, updatedDateTime?, reason*, statusAppliesTo[0..2]
</...>

Content Model Elements (7):

  clearingStatusValue, reason (in clearingStatusItem), statusAppliesTo, trade (in clearingStatusItem), | tradeIdentifier (in clearingStatusItem), tradeReferenceInformation, updatedDateTime

All Direct / Indirect Based Elements (1):

  clearingStatusItem

Known Usage Locations

- As direct type of elements (1):
  clearingStatusItem

Annotation
A component of a clearing status report. This provides the clearing status for a single trade.
XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="ClearingStatusItem"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="TradeIdentifier"/> <xsd:group ref="TradeReferenceInformation.model"/> <xsd:element name="trade" type="Trade"/> </xsd:choice> <xsd:element minOccurs="0" name="clearingStatusValue" type="ClearingStatusValue"/> <xsd:element minOccurs="0" name="updatedDateTime" type="xsd:dateTime"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/> <xsd:element maxOccurs="2" minOccurs="0" name="statusAppliesTo" type="PartyReference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/7)
clearingStatusValue

  Type: | ClearingStatusValue, simple content

  The status of the clearing process for the identified trade. For example, Received, Pending (Approval), Registered (i.e. cleared), Rejected, etc.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="clearingStatusValue" type="ClearingStatusValue"/>

reason

  Type: | Reason, complex content

  Supporting information which may be produced to explain the clearing process status. This may be a business reason e.g. failed eligibility criteria for a trade in Rejected status.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/>

statusAppliesTo

  Type: | PartyReference, empty content

  Reference to parties currently in this status, e.g. parties for which we are awaiting approval. For example, if a trade is in "Pending" status, this would identify which parties' approval the trade was pending.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="statusAppliesTo" type="PartyReference"/>

trade

  Type: | Trade, complex content

  Complete economics of the trade
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="trade" type="Trade"/>

tradeIdentifier

  Type: | TradeIdentifier, complex content

  Identifier(s) for the trade which is the subject of the clearing request to which this status relates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="TradeIdentifier"/>

updatedDateTime

  Type: | xsd:dateTime, predefined, simple content

  When the clearing status changed to the current value. This is mostly useful if the clearing status messages could be delayed from when the status actually changes; this could be important if the status date is used as the basis of any settlement calculations.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="updatedDateTime" type="xsd:dateTime"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.